Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.rule.model.impl
Class RulePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.spi.rule.model.impl.RulePackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, RulePackage

    public class RulePackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements RulePackage

An implementation of the model Package.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.spi.rule.model.RulePackage
`RulePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.rule.model.RulePackage
`AND_CONDITION, AND_CONDITION__CONDITIONS, AND_CONDITION_FEATURE_COUNT, CONDITION, CONDITION_FEATURE_COUNT, eINSTANCE, ENABLE_RULE, ENABLE_RULE__CONDITION, ENABLE_RULE__DISABLE, ENABLE_RULE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, LEAF_CONDITION, LEAF_CONDITION__DOMAIN_MODEL_REFERENCE, LEAF_CONDITION__EXPECTED_VALUE, LEAF_CONDITION__VALUE_DOMAIN_MODEL_REFERENCE, LEAF_CONDITION_FEATURE_COUNT, OR_CONDITION, OR_CONDITION__CONDITIONS, OR_CONDITION_FEATURE_COUNT, RULE, RULE__CONDITION, RULE_FEATURE_COUNT, SHOW_RULE, SHOW_RULE__CONDITION, SHOW_RULE__HIDE, SHOW_RULE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getAndCondition_Conditions()`
`org.eclipse.emf.ecore.EClass` | `getAndCondition()`
`org.eclipse.emf.ecore.EClass` | `getCondition()`
`org.eclipse.emf.ecore.EAttribute` | `getEnableRule_Disable()`
`org.eclipse.emf.ecore.EClass` | `getEnableRule()`
`org.eclipse.emf.ecore.EReference` | `getLeafCondition_DomainModelReference()`
`org.eclipse.emf.ecore.EAttribute` | `getLeafCondition_ExpectedValue()`
`org.eclipse.emf.ecore.EReference` | `getLeafCondition_ValueDomainModelReference()`
`org.eclipse.emf.ecore.EClass` | `getLeafCondition()`
`org.eclipse.emf.ecore.EReference` | `getOrCondition_Conditions()`
`org.eclipse.emf.ecore.EClass` | `getOrCondition()`
`org.eclipse.emf.ecore.EReference` | `getRule_Condition()`
`org.eclipse.emf.ecore.EClass` | `getRule()`
`RuleFactory` | `getRuleFactory()`
`org.eclipse.emf.ecore.EAttribute` | `getShowRule_Hide()`
`org.eclipse.emf.ecore.EClass` | `getShowRule()`
`static RulePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static RulePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `RulePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `RulePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getCondition

    public org.eclipse.emf.ecore.EClass getCondition()

  Specified by:
    `getCondition` in interface `RulePackage`
  Returns:
    the meta object for class 'Condition'.
  See Also:
    `Condition`

### getLeafCondition

    public org.eclipse.emf.ecore.EClass getLeafCondition()

  Specified by:
    `getLeafCondition` in interface `RulePackage`
  Returns:
    the meta object for class 'Leaf Condition'.
  See Also:
    `LeafCondition`

### getLeafCondition_ExpectedValue

    public org.eclipse.emf.ecore.EAttribute getLeafCondition_ExpectedValue()

  Specified by:
    `getLeafCondition_ExpectedValue` in interface `RulePackage`
  Returns:
    the meta object for the attribute 'Expected Value'.
  See Also:
    `LeafCondition.getExpectedValue()`, `RulePackage.getLeafCondition()`

### getLeafCondition_DomainModelReference

    public org.eclipse.emf.ecore.EReference getLeafCondition_DomainModelReference()

  Specified by:
    `getLeafCondition_DomainModelReference` in interface `RulePackage`
  Returns:
    the meta object for the containment reference 'Domain Model Reference'.
  See Also:
    `LeafCondition.getDomainModelReference()`, `RulePackage.getLeafCondition()`

### getLeafCondition_ValueDomainModelReference

    public org.eclipse.emf.ecore.EReference getLeafCondition_ValueDomainModelReference()

  Specified by:
    `getLeafCondition_ValueDomainModelReference` in interface `RulePackage`
  Returns:
    the meta object for the containment reference 'Value Domain Model Reference'.
  Since:
    1.5
  See Also:
    `LeafCondition.getValueDomainModelReference()`, `RulePackage.getLeafCondition()`

### getOrCondition

    public org.eclipse.emf.ecore.EClass getOrCondition()

  Specified by:
    `getOrCondition` in interface `RulePackage`
  Returns:
    the meta object for class 'Or Condition'.
  See Also:
    `OrCondition`

### getOrCondition_Conditions

    public org.eclipse.emf.ecore.EReference getOrCondition_Conditions()

  Specified by:
    `getOrCondition_Conditions` in interface `RulePackage`
  Returns:
    the meta object for the containment reference list 'Conditions'.
  See Also:
    `OrCondition.getConditions()`, `RulePackage.getOrCondition()`

### getAndCondition

    public org.eclipse.emf.ecore.EClass getAndCondition()

  Specified by:
    `getAndCondition` in interface `RulePackage`
  Returns:
    the meta object for class 'And Condition'.
  See Also:
    `AndCondition`

### getAndCondition_Conditions

    public org.eclipse.emf.ecore.EReference getAndCondition_Conditions()

  Specified by:
    `getAndCondition_Conditions` in interface `RulePackage`
  Returns:
    the meta object for the containment reference list 'Conditions'.
  See Also:
    `AndCondition.getConditions()`, `RulePackage.getAndCondition()`

### getRule

    public org.eclipse.emf.ecore.EClass getRule()

  Specified by:
    `getRule` in interface `RulePackage`
  Returns:
    the meta object for class 'Rule'.
  See Also:
    `Rule`

### getRule_Condition

    public org.eclipse.emf.ecore.EReference getRule_Condition()

  Specified by:
    `getRule_Condition` in interface `RulePackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `Rule.getCondition()`, `RulePackage.getRule()`

### getShowRule

    public org.eclipse.emf.ecore.EClass getShowRule()

  Specified by:
    `getShowRule` in interface `RulePackage`
  Returns:
    the meta object for class 'Show Rule'.
  See Also:
    `ShowRule`

### getShowRule_Hide

    public org.eclipse.emf.ecore.EAttribute getShowRule_Hide()

  Specified by:
    `getShowRule_Hide` in interface `RulePackage`
  Returns:
    the meta object for the attribute 'Hide'.
  See Also:
    `ShowRule.isHide()`, `RulePackage.getShowRule()`

### getEnableRule

    public org.eclipse.emf.ecore.EClass getEnableRule()

  Specified by:
    `getEnableRule` in interface `RulePackage`
  Returns:
    the meta object for class 'Enable Rule'.
  See Also:
    `EnableRule`

### getEnableRule_Disable

    public org.eclipse.emf.ecore.EAttribute getEnableRule_Disable()

  Specified by:
    `getEnableRule_Disable` in interface `RulePackage`
  Returns:
    the meta object for the attribute 'Disable'.
  See Also:
    `EnableRule.isDisable()`, `RulePackage.getEnableRule()`

### getRuleFactory

    public RuleFactory getRuleFactory()

  Specified by:
    `getRuleFactory` in interface `RulePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.